Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.proiezioneagenda.vo.elencopianoattivitaerogatore
Class PianoAttivitaErogatoreResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.proiezioneagenda.vo.elencopianoattivitaerogatore.PianoAttivitaErogatoreResponse

    public class PianoAttivitaErogatoreResponse

extends java.lang.Object

Dati del piano delle attivià da svolgere o svolte da un erogatore di prestazioni domiciliari come richiesto dal servizio getElencoPianoAttivitaErogatore.

- Codice categoria operatore obbligatorio
- Codice fascia oraria obbligatorio
- Cognome assistito obbligatorio
- Nome assistito obbligatorio
- Data nascita
- Indirizzo dimora
- Istat dimora
- Elenco prestazioni obbligatorio

Author:
  GrecoG

Field Summary
`private java.lang.String` | `codiceCategoriaErogatore` Categoria dell' operatore abilitato a eseguire le prestazioni domiciliari.
`private java.lang.String` | `codiceFasciaOraria` Codice dalla fascia oraria in cui sono eseguite le prestazioni.
`private java.lang.String` | `cognomeAssistito` Cognome assistito.
`private java.lang.String` | `comuneDimoraAssistito` Codice istat del comune di dimora assistito.
`private java.lang.String` | `dataNascita` Data nascita(nel formato GG/MM/AAAA)
`private java.util.Vector<java.lang.String>` | `elencoPrestazioni` Elenco Prestazioni Lea.Vengono restituite solo le descrizioni.
`private java.lang.String` | `indirizzoDimoraAssistito` Indirizzo dimora assistito.
`private java.lang.String` | `nomeAssistito` Nome assistito.

Constructor Summary
`PianoAttivitaErogatoreResponse()`

Method Summary
`java.lang.String` | `getCodiceCategoriaErogatore()`
`java.lang.String` | `getCodiceFasciaOraria()`
`java.lang.String` | `getCognomeAssistito()`
`java.lang.String` | `getComuneDimoraAssistito()`
`java.lang.String` | `getDataNascita()`
`java.util.Vector<java.lang.String>` | `getElencoPrestazioni()`
`java.lang.String` | `getIndirizzoDimoraAssistito()`
`java.lang.String` | `getNomeAssistito()`
`void` | `setCodiceCategoriaErogatore(java.lang.String codiceCategoriaErogatore)`
`void` | `setCodiceFasciaOraria(java.lang.String codiceFasciaOraria)`
`void` | `setCognomeAssistito(java.lang.String cognomeAssistito)`
`void` | `setComuneDimoraAssistito(java.lang.String comuneDimoraAssistito)`
`void` | `setDataNascita(java.lang.String dataNascita)`
`void` | `setElencoPrestazioni(java.util.Vector<java.lang.String> elencoPrestazioni)`
`void` | `setIndirizzoDimoraAssistito(java.lang.String indirizzoDimoraAssistito)`
`void` | `setNomeAssistito(java.lang.String nomeAssistito)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceCategoriaErogatore

    @Facets(pattern="[a-zA-Z]+",
            length=1L)
    private java.lang.String codiceCategoriaErogatore

  Categoria dell' operatore abilitato a eseguire le prestazioni domiciliari. Assume i seguenti valori:
  1. Mmg/Pls.
  2. Specialista.
  3. Infermiere.
  4. Fisioterapista.
  5. Terapista occupazionale.
  6. Oss.
  7. Psicologo.
  8. Assistente sociale.
  9. Medico di continuità assistenziale.
  10. Medico esperto in cure palliative.
  11. Logopedista.
  12. Dietista.
  13. Medico esperto in medicina fisica e riabilitativa.

### codiceFasciaOraria

    @Facets(pattern="[a-zA-Z]+",
            length=1L)
    private java.lang.String codiceFasciaOraria

  Codice dalla fascia oraria in cui sono eseguite le prestazioni. Assume i seguenti valori:
  - M- MATTINA.
  - P- POMERIGGIO.

### cognomeAssistito

    @Facets(pattern="[a-zA-Z]*",
            length=80L)
    private java.lang.String cognomeAssistito

  Cognome assistito.

### nomeAssistito

    @Facets(pattern="[a-zA-Z]*",
            length=80L)
    private java.lang.String nomeAssistito

  Nome assistito.

### dataNascita

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataNascita

  Data nascita(nel formato GG/MM/AAAA)

### indirizzoDimoraAssistito

    @Facets(pattern="[a-zA-Z0-9]*",
            length=130L)
    private java.lang.String indirizzoDimoraAssistito

  Indirizzo dimora assistito.

### comuneDimoraAssistito

    @Facets(pattern="[a-zA-Z]*",
            length=30L)
    private java.lang.String comuneDimoraAssistito

  Codice istat del comune di dimora assistito.

### elencoPrestazioni

    private java.util.Vector<java.lang.String> elencoPrestazioni

  Elenco Prestazioni Lea.Vengono restituite solo le descrizioni.

Constructor Detail

### PianoAttivitaErogatoreResponse

    public PianoAttivitaErogatoreResponse()

Method Detail

### getCodiceCategoriaErogatore

    public java.lang.String getCodiceCategoriaErogatore()

### setCodiceCategoriaErogatore

    public void setCodiceCategoriaErogatore(java.lang.String codiceCategoriaErogatore)

### getCodiceFasciaOraria

    public java.lang.String getCodiceFasciaOraria()

### setCodiceFasciaOraria

    public void setCodiceFasciaOraria(java.lang.String codiceFasciaOraria)

### getCognomeAssistito

    public java.lang.String getCognomeAssistito()

### setCognomeAssistito

    public void setCognomeAssistito(java.lang.String cognomeAssistito)

### getNomeAssistito

    public java.lang.String getNomeAssistito()

### setNomeAssistito

    public void setNomeAssistito(java.lang.String nomeAssistito)

### getDataNascita

    public java.lang.String getDataNascita()

### setDataNascita

    public void setDataNascita(java.lang.String dataNascita)

### getIndirizzoDimoraAssistito

    public java.lang.String getIndirizzoDimoraAssistito()

### setIndirizzoDimoraAssistito

    public void setIndirizzoDimoraAssistito(java.lang.String indirizzoDimoraAssistito)

### getComuneDimoraAssistito

    public java.lang.String getComuneDimoraAssistito()

### setComuneDimoraAssistito

    public void setComuneDimoraAssistito(java.lang.String comuneDimoraAssistito)

### getElencoPrestazioni

    public java.util.Vector<java.lang.String> getElencoPrestazioni()

### setElencoPrestazioni

    public void setElencoPrestazioni(java.util.Vector<java.lang.String> elencoPrestazioni)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD